רשומות
שליפת ישויות
POST
/api/v1/webhookקבלת רשימת כל הישויות (אובייקטים) המוגדרות בארגון, כולל מספר השדות בכל ישות. שימושי לגילוי מבנה הנתונים לפני ביצוע פעולות נוספות.
אימות
Authorizationstringheaderחובהכותרת אימות מסוג Bearer <token>, כאשר <token> הוא מפתח ה-API שלך.
פרמטרים
לפעולה זו אין פרמטרים נוספים מעבר ל-action.
תשובה
200 — application/json
successbooleanחובהמציין אם הבקשה הצליחה
dataobjectאובייקט המכיל את נתוני התשובה
שליפת ישויות
const response = await fetch('https://crm.heybase.co.il/api/v1/webhook', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"action": "get_entities"
}),
})
const data = await response.json()200
{
"success": true,
"count": 3,
"entities": [
{
"id": "ent_001",
"name": "Contacts",
"nameHe": "אנשי קשר",
"slug": "contacts",
"icon": "👤",
"isActive": true,
"primaryFieldId": "fld_name",
"fieldCount": 12
},
{
"id": "ent_002",
"name": "Deals",
"nameHe": "עסקאות",
"slug": "deals",
"icon": "💰",
"isActive": true,
"primaryFieldId": "fld_title",
"fieldCount": 8
},
{
"id": "ent_003",
"name": "Companies",
"nameHe": "חברות",
"slug": "companies",
"icon": "🏢",
"isActive": true,
"primaryFieldId": "fld_company_name",
"fieldCount": 6
}
]
}בעמוד זה
